ooo-build r13985 - in trunk: . bin patches
- From: strba svn gnome org
- To: svn-commits-list gnome org
- Subject: ooo-build r13985 - in trunk: . bin patches
- Date: Mon, 22 Sep 2008 07:49:23 +0000 (UTC)
Author: strba
Date: Mon Sep 22 07:49:23 2008
New Revision: 13985
URL: http://svn.gnome.org/viewvc/ooo-build?rev=13985&view=rev
Log:
trying to revive the internal gcc
Modified:
trunk/ChangeLog
trunk/Makefile.am
trunk/bin/build-ooo
trunk/configure.in
trunk/patches/apply.pl.in
Modified: trunk/Makefile.am
==============================================================================
--- trunk/Makefile.am (original)
+++ trunk/Makefile.am Mon Sep 22 07:49:23 2008
@@ -24,6 +24,7 @@
for icons in $(OOO_ICONS_VERS) ; do \
test "$(BUILDDIR)/$$icons" = "/" || rm -rf "$(BUILDDIR)/$$icons" ; \
done
+ test -z "$(BUILDDIR)/gcc-3.4.1" || rm -rf $(BUILDDIR)/gcc-3.4.1
maintainer-clean-local:
test -z "$(BUILDDIR)" || rm -rf $(BUILDDIR)
Modified: trunk/bin/build-ooo
==============================================================================
--- trunk/bin/build-ooo (original)
+++ trunk/bin/build-ooo Mon Sep 22 07:49:23 2008
@@ -86,6 +86,14 @@
echo 'Bootstrapping'
./bootstrap || ./bootstrap || ./bootstrap || exit 1;
+# Copy in missing libraries if we just built them
+if test "z$SYSTEM_GCC" = "z"; then
+ echo "Copying libraries to $SOLARVER/$UPD/$INPATH/lib";
+ mkdir -p $SOLARVER/$UPD/$INPATH/lib || exit 1;
+ cp -avf $BUILDDIR/$LIB/libgcc* $BUILDDIR/$LIB/libstdc* $SOLARVER/$UPD/$INPATH/lib || exit 1;
+ cp -vf $BUILDDIR/$LIB/libstdc++* $SOLARVER/$UPD/$INPATH/lib/ || exit 1;
+fi
+
echo 'Verifying environment'
echo "Path: \'$PATH\'"
echo "Shell: \'$SHELL\'"
Modified: trunk/configure.in
==============================================================================
--- trunk/configure.in (original)
+++ trunk/configure.in Mon Sep 22 07:49:23 2008
@@ -52,6 +52,12 @@
of defaults suitable for that platform.],
,)
+AC_ARG_WITH(internal-gcc,
+[
+ --with-internal-gcc build our own gcc (gcc-3.4.1 with enum and
+ visibility patches).],
+,)
+
AC_ARG_WITH(distro,
[
--with-distro build with a specific distributions patch-set. There
@@ -626,6 +632,15 @@
AC_MSG_ERROR( bison must be installed )
fi
+if test "z$with_internal_gcc" = "zyes" ; then
+ SYSTEM_GCC=
+ gcc_to_use="internal (will be built)"
+else
+ SYSTEM_GCC=true
+ gcc_to_use="from system"
+fi
+AC_SUBST(SYSTEM_GCC)
+
BUILD_NCPUS=1
if test "z$with_num_cpus" != "z"; then
BUILD_NCPUS=$with_num_cpus
@@ -1438,6 +1453,7 @@
distro: $DISTRO
add sections: ${OOO_ADDITIONAL_SECTIONS:-no}
widget sets: ${widget_sets:-disabled}
+ gcc to use: $gcc_to_use
openclipart: ${OPENCLIPART_VER:-${OPENCLIPART_DIR:-no}}
mono bindings: $mono_enabled
mdbtools/access: $access_enabled
@@ -1445,9 +1461,9 @@
ooo-install-dir: $OOOINSTALLDIRNAME
ccache: $ccache_message
icecream: $icecream_message
- max jobs: $max_job_message
- cairo: $cairo_enabled
- build type: $build_product build
+ max jobs: $max_job_message
+ cairo: $cairo_enabled
+ build type: $build_product build
download mirror: $MIRROR
To build run:
Modified: trunk/patches/apply.pl.in
==============================================================================
--- trunk/patches/apply.pl.in (original)
+++ trunk/patches/apply.pl.in Mon Sep 22 07:49:23 2008
@@ -1118,7 +1118,7 @@
$opts = join ' ', @arguments;
my $base_args = " -l -p0 $opts -d $dest_dir";
- $base_cmd = "patch";
+ $base_cmd = "@GNUPATCH@";
if ($pieces) {
# nasty path mess
$base_cmd = "$patch_dir/../../bin/sloppypatch.pl";
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]